ViennaCL - The Vienna Computing Library 1.7.0 Free open-source GPU-accelerated linear algebra and solver library. |

Public Member Functions
viennacl::device_specific::reduction_template Class Reference

`#include <reduction_template.hpp>`

Inheritance diagram for viennacl::device_specific::reduction_template:

List of all members.

## Public Member Functions

| reduction_template (reduction_template::parameters_type const &parameters, binding_policy_t binding_policy=BIND_ALL_UNIQUE)
void | enqueue (std::string const &kernel_prefix, std::vector< lazy_program_compiler > &programs, statements_container const &statements)

## Detailed Description

Definition at line 55 of file reduction_template.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::reduction_template::reduction_template | ( | reduction_template::parameters_type const & | parameters,
|  | binding_policy_t | binding_policy = `BIND_ALL_UNIQUE`
| ) |  | `[inline]`

Definition at line 310 of file reduction_template.hpp.

## Member Function Documentation

void viennacl::device_specific::reduction_template::enqueue | ( | std::string const & | kernel_prefix,
|  | std::vector< lazy_program_compiler > & | programs,
|  | statements_container const & | statements
| ) |  | `[inline, virtual]`

Implements viennacl::device_specific::template_base.

Definition at line 312 of file reduction_template.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/templates/reduction_template.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines